Bug 847711 - Cache view installation takes too long
Cache view installation takes too long
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Library (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: 6.0.1
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 06:26 EDT by Ondrej Nevelik
Modified: 2013-10-06 20:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the coordinator shuts down, it tries to install a new cache view that does not include itself. Because there are multiple nodes shutting down at the same time, two or more nodes can see themselves as the coordinator and will try to install conflicting views, failing and repeating the process for a very long time. This is now resolved by automatically rejecting outside cache views installation requests on the current JGroups coordinator. This way each one of the "coordinators" can shut down without interfering with the others.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2197 Major Resolved Cache view instalation takes too long 2015-06-15 10:46:37 EDT

  None (edit)
Description Ondrej Nevelik 2012-08-13 06:26:22 EDT
For more details see JIRA: https://issues.jboss.org/browse/ISPN-2197
Version JDG 6.0.1.ER2.
Comment 1 JBoss JIRA Server 2012-09-06 09:00:27 EDT
Dan Berindei <dberinde@redhat.com> updated the status of jira ISPN-2197 to Resolved
Comment 2 JBoss JIRA Server 2012-09-06 09:00:27 EDT
Dan Berindei <dberinde@redhat.com> made a comment on jira ISPN-2197

I believe this was caused by ISPN-2186: when the coordinator shuts down, it tries to install a new cache view that doesn't include itself. Because there are multiple nodes shutting down at the same time, two or more nodes can see themselves as the coordinator and will try to install conflicting views, failing and repeating the process for a very long time.

The ISPN-2186 fix changes this by automatically rejecting outside cache views installation requests on the current JGroups coordinator. This way each one of the "coordinators" can shut down without interfering with the others.
Comment 3 JBoss JIRA Server 2012-09-10 07:17:54 EDT
Ondrej Nevelik <onevelik@redhat.com> made a comment on jira ISPN-2197

Verified. I wasn't able to reproduce the bug with Infinispan that comes with JDG 6.0.1.CR1.

Note You need to log in before you can comment on or make changes to this bug.